#ifndef __automobilis_h
#define __automobilis_h

#include <string>
#include <iostream>
#include <vector>
#include <iomanip>
#include "DarbuIstorija.h"

using namespace std;

class Automobilis
{
    private:
        string pavadinimas;
        string valstNr;
        DarbuIstorija darbuIstorija;

    public:    
        Automobilis (string pavadinimas, string valstNr);
        
        string getPavadinimas ();
        string getValstNr     ();
        
        void   addDarbas(Darbas* darbas);
        int    kiekRemontuotas       ();
        double getKiekIsleistaPinigu ();
        void   printDarbuIstorija    ();
        double getLaikotarpis (string dataNuo, 
                               string dataIki);
                               
};

#endif
