#include "Automobilis.h"

Automobilis::Automobilis(string pavadinimas, string valstNr) {
    this->pavadinimas = pavadinimas;
    this->valstNr     = valstNr;
}

string Automobilis::getPavadinimas () {
    return pavadinimas;
}

string Automobilis::getValstNr() {
    return valstNr;
} 
// *****************************************************************************
void Automobilis::addDarbas (Darbas* darbas) {
    darbuIstorija.push_back(darbas);
}
// *****************************************************************************
int Automobilis::kiekRemontuotas () {
    return darbuIstorija.getKiekKartuRemontuotas();
}
// *****************************************************************************
double Automobilis::getKiekIsleistaPinigu() {
    return darbuIstorija.getKiekIsleistaPinigu();
}
// *****************************************************************************
void Automobilis::printDarbuIstorija() {
    vector<Darbas*>::iterator iter = darbuIstorija.begin();
    for (; iter != darbuIstorija.end(); iter++) {
        cout << (*iter)->getPavadinimas()  << " " << setw(5)
             << (*iter)->getKadaAtliktas() << " " << setw(5) << setprecision(2)
             << (*iter)->getKaina()        << " " << endl;
    }
}
// *****************************************************************************
double Automobilis::getLaikotarpis (string dataNuo, string dataIki) {
    vector<Darbas*>::iterator iter = darbuIstorija.begin();
    double bendraSuma;
    string data;
    for (; iter != darbuIstorija.end(); iter++) {
        data = (*iter)->getKadaAtliktas();
        if (data > dataNuo && data < dataIki) {
            bendraSuma += (*iter)->getKaina();
        } 
    }
    return bendraSuma;
}
// *****************************************************************************
